ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

o

org.bdgenomics.adam.models

# SequenceRecord 

###
Companion class SequenceRecord

#### object SequenceRecord extends Serializable

Companion object for creating Sequence Records.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceRecord
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(name: String, length: Long, md5: String = null, url: String = null, refseq: String = null, genbank: String = null, assembly: String = null, species: String = null, index: Option[Int] = None): SequenceRecord

   Java friendly apply method that wraps null strings.

   Java friendly apply method that wraps null strings.

   name

     The name of this reference in the assembly.

   length

     The length of the sequence for this reference.

   md5

     If available, the MD5 checksum uniquely representing this reference as a lower-case hexadecimal string, calculated as the MD5 of the upper-case sequence excluding all whitespace characters (equivalent to SQ:M5 in SAM).

   url

     If available, the URI from which the reference sequence was obtained.

   refseq

     If available, the REFSEQ ID for the reference.

   genbank

     If available, the Genbank ID for the reference.

   assembly

     If available, the name of the assembly for this reference.

   species

     If available, the species that this reference is for.

   index

     If available, the number of this reference in a set of references.

   returns

     Returns a new SequenceRecord where all strings except for name are wrapped in Options to check for null values.

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def fromADAMReference(reference: Reference): SequenceRecord

   Builds a sequence record from an Avro Reference.

   Builds a sequence record from an Avro Reference.

   reference

     Reference record to build from.

   returns

     This Reference record as a SequenceRecord.

10.  def fromSAMSequenceRecord(record: SAMSequenceRecord): SequenceRecord
11.  def fromSequence(sequence: Sequence): SequenceRecord

    Builds a sequence record from a sequence.

    Builds a sequence record from a sequence.

    sequence

      Sequence to build from.

    returns

      The specified sequence as a SequenceRecord.

12.  def fromSlice(slice: Slice): SequenceRecord

    Builds a sequence record from a slice.

    Builds a sequence record from a slice.

    slice

      Slice to build from.

    returns

      The specified slice as a SequenceRecord.

13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped